Skip to main content

Approve Disclaimer


Use Approve Disclaimer to present a disclaimer that the doctor must acknowledge during the appointment approval flow.


This screen includes:

#ElementDescription
1Disclaimer messageDisplays the applicable disclaimer
2Ok actionConfirms the disclaimer

Workflow

  1. Open an appointment that requires approval.
  2. Determine that a disclaimer applies.
  3. Call PUT /api/v3/profile/appointments/{appointment-id}/approve/disclaimer.
  4. Display the Approve Disclaimer screen.
  5. Review the disclaimer.
  6. Select Ok.
  7. Continue the approval flow.

Validations

ScenarioApp behaviorSDK output
Disclaimer appliesDisplay the disclaimer screenPage object
Disclaimer does not applyContinue the approval flowNo disclaimer page
Request returns 200Render the returned pagePage object
Request returns 405Display an application errorError response
Session is invalidReject the requestAuthentication error

Actions

ScenarioApp behaviorSDK output
Ok selectedContinue the approval flowAction event

Endpoint Resources

Approve Disclaimer​

PUT 

v3/appointments/{appointment-id}/review-and-approve/disclaimer

Displays the Approve Disclaimer page for the specified appointment.

Path Parameters

ParameterTypeRequiredDescription
appointment-idIntegerYesIdentifies the appointment

UI Element Types

LevelReferenceTypeValuePlacement
1approve-disclaimerRegularDisclaimer text
1okButtonOk